Delete Subscription
DELETE
/v1/subscription
const url = 'https://api.foldspace.ai/v1/subscription';const options = { method: 'DELETE', headers: { 'X-FOLDSPACE-API-KEY': '<X-FOLDSPACE-API-KEY>', 'Content-Type': 'application/json' }, body: '{"identifyId":"subscription_1234"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.foldspace.ai/v1/subscription \ --header 'Content-Type: application/json' \ --header 'X-FOLDSPACE-API-KEY: <X-FOLDSPACE-API-KEY>' \ --data '{ "identifyId": "subscription_1234" }'Deleting a subscription by identifyId.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”JSON body containing the subscription identifyId to be deleted
Media type application/json
DTO for deleting a subscription by identifyId
object
identifyId
required
The unique identify ID of the subscription to delete
string
Examples
Example Example Request
Example Request
{ "identifyId": "subscription_1234"}Responses
Section titled “ Responses ”Subscription deleted successfully
Media type application/json
string
Example
{ "message": "Subscription deleted successfully"}Unauthorized
Media type application/json
string
Example
{ "error": "Unauthorized"}Subscription not found
Media type application/json
string
Example
{ "error": "Subscription not found"}Rate limit exceeded for subscription
Media type */*
string
Example
{ "error": "Rate limit exceeded for subscription"}Internal server error
Media type application/json
string
Example
{ "error": "Internal server error"}